entry
Author: Peter G. Baum (peter@dr-baum.net)
Keywords: gnocl, Tcl, gtk, gnome

## NAME

entry - Create and manipulate a widget which is a combination of the gtk entry and the gnome file, number, pixmap, and icon entries

## SYNOPSIS

entry ?-option optionVal ...?

## OPTIONS

-variable
  name of a (global) variable which is changed whenever the entry is changed
  type: string
  default: ""

-editable
  Whether or not the the entry is editable
  type: boolean
  default: true

-maxLength
  maximum length of entry value (-1 means not limited)
  type: integer
  default: -1

-tooltip
  Message that appear next to this widget when the mouse pointer is held over it for a short amount of time.
  type: string
  default: ""

-type
  Type of entry widget
  type: default, gnome, pixmap, icon, file, or number
  default: default

-history
  Members of the history (not for type default)
  type: list of strings
  default: ""

-historyId
  type: string
  default: ""

## DESCRIPTION

## WIDGET COMMANDS

The entry command creates a new Tcl command whose name is an ID returned on widget creation. This command may be used to invoke various operations on the widget. It has the following general form:
ID option ?arg arg ...?
option and arg determine the exact behavior of the command. The following commands are possible for entry widgets:

ID getValue
  Returns the contents of the entry.

ID setValue text
  Sets the contents of the entry.

ID appendHistory text
  Appends text to the history (not for type default).

ID prependHistory text
  Prepends text to the history (not for type default).

ID saveHistory
  If historyId is not equal "", saves the history else does nothing (not for type default).

ID loadHistory
  If historyId is not equal "", loads the history else does nothing (not for type default).

## KEYWORDS

Copyright © 2001 - 2002 P. G. Baum